Subject: [PATCH v2 0/2] Limit GitHub Actions to designated branches

From: Đoàn Trần Công Danh <[email-masked]>
Date: Mon, 4 May 2020 22:49:30 +0700

It seems like there's at least one contributor like this proposal.

> Yeah, this seems quite reasonable to me. I'd just add a refspec to push
> a duplicate of branches I'm interested in running CI on to for-ci.

I've tweaked the commit message for the proposal and added a new patch to
advertise GitHub Actions to our friends.

With this series applied, we will trigger GitHub Actions CI for those branches
only:

- 5 integration branches: maint, master, next, jch, and pu
- Contributors' opted-in branches: 'for-ci/**'

Đoàn Trần Công Danh (2):
  CI: limit GitHub Actions to designated branches
  SubmittingPatches: advertise GitHub Actions CI

 .github/workflows/main.yml      | 14 +++++++++++++-
 Documentation/SubmittingPatches |  5 +++++
 2 files changed, 18 insertions(+), 1 deletion(-)

Range-diff against v1:
1:  106620b2d8 ! 1:  73de97dfeb CI: GitHub: limit GitHub Action to intergration branches
    @@ Metadata
     Author: Đoàn Trần Công Danh <[email-masked]>
     
      ## Commit message ##
    -    CI: GitHub: limit GitHub Action to intergration branches
    +    CI: limit GitHub Actions to designated branches
    +
    +    Git's maintainer usually don't have enough time to debug the failure of
    +    invidual feature branch, they usually want to look at intergration
    +    branches.
    +
    +    Contributors now can have GitHub Actions as an opt-in option,
    +    should they want to check their code, they will push into designated
    +    branch.
     
         Signed-off-by: Đoàn Trần Công Danh <[email-masked]>
     
    @@ .github/workflows/main.yml
     +on:
     +  pull_request:
     +    branches:
    -+      - '*'
    ++      - '**'
     +  push:
     +    branches:
     +      - maint
-:  ---------- > 2:  24a8fefe5a SubmittingPatches: advertise GitHub Actions CI
-- 
2.26.2.672.g232c24e857